# IRdNtAddrHistory Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | AddAddress ([in] IRdNtAddress *pRdNtAddress)
HRESULT | RemoveAddress ([in] RtDWORD dwIndex)
HRESULT | GetAddress ([in] RtDWORD dwIndex,[out, retval] IRdNtAddress **ppRdNtAddress)
HRESULT | GetNumRecords ([out, retval] RtDWORD *pdwNumRecords)
## Properties
RtDWORD | MaxRecords`[set]`
RtDWORD * | MaxRecords`[get]`

## Detailed Description

Object holds information about all Shared Space Addresses. It is automatically generated by client object and stored in AddrHistory connector in Network Properties. You can find the object in /Network space.

## Member Function Documentation

HRESULT IRdNtAddrHistory::Clear | ( | void |  | ) |

Call to erase all records.

HRESULT IRdNtAddrHistory::AddAddress | ( | [in] IRdNtAddress * | pRdNtAddress | ) |

Add address into the history. If it already exists, it will be just moved to top of the history. If number of the maximum allowed records is reached, the oldest address will be removed.

Parameters:

  | pRdNtAddress | [in] The address info data object. See IRdNtAddress.

HRESULT IRdNtAddrHistory::RemoveAddress | ( | [in] RtDWORD | dwIndex | ) |

Remove specified address.

Parameters:

  | dwIndex | [in] Index of the address that should be removed.

HRESULT IRdNtAddrHistory::GetAddress | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] IRdNtAddress ** | ppRdNtAddress |
| ) |  |  |

Get specified address.

Parameters:

  | dwIndex | [in] Index of the address.

Returns:
  ppRdNtAddress [out, retval] The address info data object. See IRdNtAddress.

HRESULT IRdNtAddrHistory::GetNumRecords | ( | [out, retval] RtDWORD * | pdwNumRecords | ) |

Retrieve number of records.

Returns:
  pdwNumRecords [out, retval] Returns number of records.

## Property Documentation

RtDWORD IRdNtAddrHistory::MaxRecords`[set]`

Set the maximum number of records in the history.

Parameters:

  | dwMaxRecords | [in] Specify number of the maximum records in the history.

RtDWORD * IRdNtAddrHistory::MaxRecords`[get]`

Get the maximum number of allowed records in the history.

Returns:
  pdwMaxRecords [out, retval] Returns number of the maximum records in the history.